%define name fwbuilder
%define version 2.1.5
%define release %mkrel 1

Name: %{name}
Summary: Firewall Builder
Url: http://www.fwbuilder.org/
Version: %{version}
Release: %{release}
License: GPL
Group: System/Configuration/Networking
Source: http://prdownloads.sourceforge.net/fwbuilder/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	gettext-devel
BuildRequires:	glibc-static-devel 
BuildRequires:	libfwbuilder-devel >= %{version}
BuildRequires:	qt3-devel

%description
Firewall administration tool.

%prep
%setup -q

%build
#export QTDIR=%_prefix/%_lib/qt3
#export PATH=${PATH}:${QTDIR}/bin/
#export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${QTDIR}/lib

%{__libtoolize} --force --copy
%{__aclocal}
%{__autoconf}
%configure --enable-auto-docdir \
		--with-templatedir=%{_datadir}/%{name}
%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make DDIR="${RPM_BUILD_ROOT}/" install

# delete uneeded hidden files
rm -rf $RPM_BUILD_DIR/%name-%version/doc/.obj
rm -rf $RPM_BUILD_DIR/%name-%version/doc/.moc

%find_lang %{name}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%doc doc

%changelog
* Thu Aug 31 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-31 16:54:33 (59075)
- 2.1.5

* Thu Aug 31 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-31 16:23:22 (59073)
Import fwbuilder

* Sun Jul 23 2006 Olivier Blin <blino@mandriva.com> 2.0.12-2mdv2007.0
- rebuild for new glibc

* Tue Apr 18 2006 Lenny Cartier <lenny@mandriva.com> 2.0.12-1mdk
- 2.0.12

* Thu Jan 19 2006 Stefan van der Eijk <stefan@eijk.nu> 2.0.10-5mdk
- Rebuild for net-snmp with new major (10) --> cluster contamination!

* Wed Jan 18 2006 Michael Scherer <misc@mandriva.org> 2.0.10-4mdk
- fix build on amd64

* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.10-3mdk
- rebuilt against new net-snmp with new major (10)

* Thu Dec 22 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.10-2mdk
- rebuilt against net-snmp that has new major (9)

* Thu Nov 17 2005 Lenny Cartier <lenny@mandriva.com> 2.0.10-1mdk
- 2.0.10

* Tue Sep 27 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.9-1mdk
- 2.0.9

* Thu May 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.7-2mdk
- Fix Build For AMD64

* Thu May 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.7-1mdk
- New release 2.0.7

* Thu Feb 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.0.6-1mdk
- 2.0.6

* Wed Jan 12 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.0.5-1mdk
- 2.0.5

* Fri Dec 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.4-1mdk
- 2.0.4

* Mon Sep 27 2004 Stefan van der Eijk <stefan@mandrake.org> 2.0.2-3mdk
- BuildRequires

* Thu Sep 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-2mdk
- rebuild

* Thu Sep 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-1mdk
- 2.0.2
- export qtdir

* Fri Aug 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-1mdk
- 2.0.1

* Wed Jan 21 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.1.2-1mdk
- 1.1.2

* Wed Dec 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.1-1mdk
- 1.1.1

* Sun Jun 15 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0.10-1mdk
- 1.0.10
- use %%configure macro with libtoolize, aclocal and autoconf in stead of autogen.sh
- use %%makeinstall_std macro
- use %%make macro
- macroize

* Tue Mar 04 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.9-2mdk
- fix buildrequires

* Fri Feb 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.9-1mdk
- 1.0.9

* Tue Jan 07 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.8-1mdk
- 1.0.8 (thx future)

* Sat Dec 14 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.7-2mdk
- rebuild
- fix unpackaged files

* Wed Oct 30 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.0.7-1mdk
- 1.0.7

* Wed Oct 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.6-1mdk
- 1.0.6

* Thu Sep 12 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.0.5-2mdk
- i18n
- iptable policy compiler

* Wed Sep 11 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.0.5-1mdk
- 1.0.5

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-3mdk
- rebuild

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.3-2mdk
- rebuild for new readline

* Thu Jun 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3

* Tue May 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.2-1mdk
- new version (rebuild to fix relocation error pb's)

* Wed Jan 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0

* Tue Dec 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.9-1mdk
- 0.9.9

* Mon Dec 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.8-1mdk
- build with new libfwbuilder
- requires on libfwbuilder
- 0.9.8

* Wed Nov 07 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.6-1mdk
- release 0.9.6
- many changes due to new libfwbuilder package
- merged iptables package into main one

* Wed Oct 17 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.5-2mdk
- changed url
- rebuilt with libpng3

* Fri Aug 24 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.5-1mdk
- release 0.9.5

* Mon Jul 16 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.2-1mdk
- new version

* Mon Jul 02 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.1-1mdk
- initial mandrake package (taken from Vadim Zaliva <lord@crocodile.org>)
- macroszification
- buildrequires
- requires in sub packages

